unshare.cpp File Reference
`#include <gecode/int/rel.hh>`
`#include <gecode/int/bool.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Int::Unshare::VarPtrLess< Var >
| Sort order for variables. More...

## Namespaces

namespace | Gecode::Int::Unshare
| Unsharing shared variables.
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Functions

void | Gecode::Int::Unshare::link (Home home, IntVar **x, int n, IntPropLevel ipl)
| Replace by fresh yet equal integer variables.
void | Gecode::Int::Unshare::link (Home home, BoolVar **x, int n, IntPropLevel)
| Replace by fresh yet equal Boolean variables.
template<class Var>
void | Gecode::Int::Unshare::unshare (Home home, VarArgArray< Var > &x, IntPropLevel ipl)
| Replace unassigned shared variables by fresh, yet equal variables.
void | Gecode::unshare (Home home, IntVarArgs &x, IntPropLevel ipl=IPL_DEF)
| Replace multiple variable occurences in x by fresh variables.
void | Gecode::unshare (Home home, BoolVarArgs &x, IntPropLevel ipl=IPL_DEF)
| Replace multiple variable occurences in x by fresh variables.